---
layout: default
title: Join the GitLab Talent Community
description: Review our open roles and join our talent community today
twitter_image: '/images/tweets/teamgitlab.jpg'
twitter_image_alt: "GitLab Team Members gathered together"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
manual_cookiebot: true
extra_css:
  - jobs.css
---

.container.listing-container
  .content.tile{id: 'opportunities'}
    :markdown
      ## Careers at GitLab

      Interested in joining our [all-remote team](https://about.gitlab.com/company/culture/all-remote/)? GitLab is a very unique place to work, and we’re taking an equally unique approach to growing [our team](https://about.gitlab.com/company/team/org-chart/). Learn more about our talent acquisition  model and what it’s like to work here on our [Jobs FAQ page](https://about.gitlab.com/jobs/faq/).
      <br><br>
      Here’s a list of the active roles we’re sourcing for now. To be considered for a career opportunity at GitLab, please join our Talent Community.
      <br>

    %div.u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community

    <br><br>  
    :markdown

      | Department | Position Title | [Job Family](https://about.gitlab.com/handbook/hiring/job-families/) | 
      |--------------------------|-----------------|-----------------|
      | Engineering | Backend Engineer, Secure C# | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) | 
      | Engineering | Security Engineer, Security Operations | [What we're looking for](https://about.gitlab.com/job-families/engineering/security-engineer/) | 
      | Engineering | Support Engineer (Americas Central) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) | 
      | Engineering | Support Engineer (Americas East) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer/#hiring-process) | 
      | Engineering | Support Engineer (Americas West) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) | 
      | Engineering | Support Engineer (APAC) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) | 
      | Engineering | Support Engineer (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) | 
      | Engineering | Support Engineering Manager (Americas) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) | 
      | Engineering | Support Engineering Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) | 
      | Engineering | Support Operations Manager | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-operations-specialist/) | 
      | Engineering | Support Operations Specialist | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-operations-specialist/) | 
      | G&A | Director of Legal, Commercial | [What we're looking for](https://about.gitlab.com/job-families/legal/director-legal-us) | 
      | G&A | Director of Legal, Corporate | [What we're looking for](https://about.gitlab.com/job-families/legal/director-legal-us) | 
      | G&A | Integrations Engineer |  [What we're looking for](https://about.gitlab.com/job-families/finance/integrations-engineer/) | 
      | G&A | Tax Accountant | [What we're looking for](https://about.gitlab.com/job-families/finance/accountant/) | 
      | G&A | Revenue Accountant | [What we're looking for](https://about.gitlab.com/job-families/finance/revenue-accounting/) | 
      | G&A | Senior Director, Enterprise Applications | [What we're looking for](https://about.gitlab.com/job-families/finance/senior-director-enterprise-applications/) | 
      | G&A | Senior Financial Analyst, Corporate - FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | Marketing | Digital Producer | [What we're looking for](https://about.gitlab.com/job-families/marketing/digital-production-manager/) | 
      | Marketing | Senior Manager, Digital Experience | [What we're looking for](https://about.gitlab.com/job-families/marketing/marketing-web-developer-designer/) | 
      | Marketing | Senior Channel Marketing Manager | [What we're looking for](https://about.gitlab.com/job-families/marketing/product-marketing-manager/) | 
      | Marketing | Data Analyst, Marketing Specialist | [What we're looking for](https://about.gitlab.com/job-families/finance/data-analyst/#marketing) | 
      | Sales | Area Sales Manager, Enterprise (Northern Europe) | [What we're looking for](https://about.gitlab.com/job-families/sales/area-sales-manager/) | 
      | Sales | Area Sales Manager, Enterprise (Pacific Northwest) | [What we're looking for](https://about.gitlab.com/job-families/sales/area-sales-manager/) | 
      | Sales | Channel Sales Manager (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) | 
      | Sales | Channel Services Manager - GTM | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-services/) | 
      | Sales | Director, Channel Sales (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) | 
      | Sales | Director, Sales Operations (Channel)  | [What we're looking for](https://about.gitlab.com/job-families/sales/director-sales-operations/) | 
      | Sales | Director, Solutions Architects - Commercial | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) | 
      | Sales | Manager, Solutions Architects (West Enterprise) | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) | 
      | Sales | Professional Services Technical Instructor | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) | 
      | Sales | Public Sector Area Sales Manager - DOD | [What we're looking for](https://about.gitlab.com/job-families/sales/area-sales-manager/) | 
      | Sales | Public Sector Channel Manager | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) | 
      | Sales | Public Sector Professional Services Engineer | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) | 
      | Sales | Public Sector Strategic Account Leader - DOD, Navy | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) | 
      | Sales | Sales Development Representative, APAC, Japanese speaking | [What we're looking for](https://about.gitlab.com/job-families/marketing/sales-development-representative/) | 
      | Sales | Solutions Architect (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) | 
      | Sales | Strategic Account Leader (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) | 
      | Sales | Strategic Account Leader (Germany) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) | 
      

      If you are a current team member, please reference [this page](https://about.gitlab.com/handbook/hiring/interviewing/#internal-applicants) for additional information and a link to the internal job board. If you'd like to submit a referral, please reference [this page](https://about.gitlab.com/handbook/hiring/referral-process/#submitting-a-referral) on using the Referral Booster Slack app.

    %div.u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community
